%define upstream_name    Term-ReadLine-Zoid
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A readline file browser mode
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AutoLoader)
BuildRequires: perl(AutoSplit)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This package provides a set of modules that form an interactive input
buffer written in plain perl with minimal dependencies. It features almost
all key-bindings described in the posix spec for the sh(1) utility with
some extensions like multiline editing; this includes a vi-command mode
with a save-buffer (for copy-pasting) and an undo-stack.

Historically this code was part of the Zoidberg shell, but this
implementation is complete independent from zoid and uses the
Term::ReadLine interface, so it can be used with other perl
programs.

( The documentation sometimes refers to 'the application', this is the
program using the ReadLine module for input. )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.70.0-11.mga10
+ Revision: 2200777
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.70.0-10.mga9
+ Revision: 1806002
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-9.mga8
+ Revision: 1497302
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.70.0-8.mga7
+ Revision: 1271637
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-7.mga6
+ Revision: 1033982
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.70.0-6.mga6
+ Revision: 936014
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 741710
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 686382
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 515043
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 373311
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 09 2011 shlomif <shlomif> 0.70.0-1.mga2
+ Revision: 179737
- imported package perl-Term-ReadLine-Zoid


* Fri Dec 09 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
